<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

<ui:composition template="/WEB-INF/templates/simoLayout.xhtml">

	<ui:define name="titulo">
		<h:outputText value="Sistema de Informacion Medico Operativo Central" />
	</ui:define>

	<ui:define name="content">

		<h:form
            id="formInicio"
            prependId="false">
            <p:remoteCommand
                name="onload"
                actionListener="#{portadaController.mostrarDialogo}"
                autoRun="true"
                update="delegacionUnidadDialog, select_delegacion" />
            <p:dialog
                id="delegacionUnidadDialog"
                widgetVar="delegacionUnidadDialog"
                header="Seleccionar Unidad Médica"
                showEffect="fade"
                hideEffect="fade"
                styleClass="background_gris_oscuro"
                height="200"
                width="750"
                modal="true"
                dynamic="true"
                closable="false">
                <p:panelGrid
                    styleClass="noBorder background_gris_oscuro ancho_100"
                    columnClasses="ancho_20 align_r noBorder background_gris_oscuro,ancho_80 align_l noBorder background_gris_oscuro">
                    <p:row styleClass="noBorder background_gris_oscuro">
                        <p:column
                            styleClass="align_r noBorder background_gris_oscuro">
                            <p:outputLabel
                                value="Delegación/UMAE:"
                                class="menuHeader " />
                        </p:column>
                        <p:column
                            styleClass="align_l noBorder background_gris_oscuro">
                            <p:autoComplete
                                id="select_delegacion"
                                dropdown="true"
                                minQueryLength="2"
                                scrollHeight="200"
                                inputStyleClass="anchoAutocompletetMenuLogin"
                                binding="#{portadaController.delegacionAcPf}"
                                completeMethod="#{portadaController.completeDelegacion}"
                                required="true"
                                requiredMessage="Debe seleccionar Delegación/UMAE"
                                var="delegacion"
                                itemLabel="#{delegacion.cveDelegacionImss} #{delegacion.desDelegacionImss}"
                                itemValue="#{delegacion}"
                                value="#{portadaController.delegacionSelected}"
                                converter="delegacionConverter"
                                forceSelection="true"
                                disabled="#{portadaController.delegacionDisabled}">
                                <p:ajax
                                    event="itemSelect"
                                    listener="#{portadaController.onItemSelectDelegacion}"
                                    update="select_unidad" />
                            </p:autoComplete>
                        </p:column>
                    </p:row>
                    <p:row styleClass="noBorder background_gris_oscuro">
                        <p:column
                            styleClass="align_r noBorder background_gris_oscuro">
                            <p:outputLabel
                                value="Unidad médica:"
                                class="menuHeader " />
                        </p:column>
                        <p:column
                            styleClass="align_l noBorder background_gris_oscuro">
                            <p:autoComplete
                                id="select_unidad"
                                dropdown="true"
                                minQueryLength="3"
                                scrollHeight="200"
                                required="true"
                                inputStyleClass="anchoAutocompletetMenuLogin"
                                binding="#{portadaController.unidadMedicaAcPf}"
                                completeMethod="#{portadaController.completeUnidad}"
                                requiredMessage="Debe seleccionar Unidad Médica"
                                var="unidadMed"
                                itemLabel="#{unidadMed.desUnidadMedica}"
                                itemValue="#{unidadMed}"
                                value="#{portadaController.unidadSelected}"
                                converter="unidadMedicaConverter"
                                forceSelection="true">
                            </p:autoComplete>
                        </p:column>
                    </p:row>
                </p:panelGrid>
                <div class="acciones">
                    <center>
                        <p:panelGrid
                            styleClass="noBorder background_gris_oscuro ancho_50">
                            <p:row
                                styleClass="noBorder background_gris_oscuro">
                                <p:column
                                    styleClass="ancho_25 align_l noBorder background_gris_oscuro">
                                    <p:commandButton
                                        id="btnAceptar"
                                        value="Aceptar"
                                        action="#{portadaController.cargaUsuario}"
                                        type="submit"
                                        styleClass="ui-confirmdialog-yes"
                                        icon="ui-icon-check"
                                        update="growlMessageError header:idHeaderGeneral:header_g" />
                                </p:column>
                                <p:column
                                    styleClass="ancho_25 align_r noBorder background_gris_oscuro">
                                    <p:commandButton
                                        value="Salir"
                                        type="submit"
                                        action="#{portadaController.logout}"
                                        styleClass="ui-confirmdialog-no"
                                        icon="ui-icon-close"
                                        onclick="PF('delegacionUnidadDialog').hide()" />
                                </p:column>
                            </p:row>
                        </p:panelGrid>
                    </center>
                </div>
            </p:dialog>
            <p:panelGrid
                styleClass="formato_inicio background_gris_oscuro noBorder ancho_100">
                <p:row styleClass="noBorder">
                    <p:column
                        styleClass="formato_inicio background_gris_oscuro noBorder"
                        style="height: 70px;">
                    </p:column>
                </p:row>
                <p:row styleClass="noBorder">
                    <p:column
                        styleClass="formato_inicio background_gris_oscuro noBorder">
                        <h:graphicImage value="/img/imgPortada.png"></h:graphicImage>
                    </p:column>
                </p:row>
            </p:panelGrid>
        </h:form>
	</ui:define>
</ui:composition>
</html>
